# Teste todas as possibilidades de entradas 'H', 'h' e 'x'
# Se seu programa funciona para apenas um caso de tese, isso não quer dizer que ele vai funcionar para todos os outros
# Teste seu código aos poucos.
# Não teste tudo no final, pois fica mais difícil de identificar erros.
# Use as mensagens de erro para corrigir seu código.
from math import*

H = float(input('Altura do Tanque: '))
h = float(input('Altura do Combustivel: '))
r = float(input('Raio dos Bojos Semiesfericos: '))

print('Entradas:',H,',',h,',',r)

semiesfera = ((4/3)*pi*(r**3))/2

# Verificando se todos os valores são maiores que 0:
if (H > 0 and h > 0 and r > 0):
	# Verificando se H é maior que os demais valores:
	if (H > h and H > 2*r):
		if (h > r):
			if ((h - r) > (H - 2*r)):
				# 2*Semiesfera + Cilindro - Calota Esferica de Altura = H - h:
				cilindro = pi*(r**2)*(H - 2*r)
				calota_esferica = (pi/3)*((H - h)**2)*(3*r - (H - h))
				V = 2 * semiesfera + cilindro - calota_esferica
				print('Volume:',round(V*1000, 3), 'litros')
			else:
				# Semiesfera + Cilindro de Altura = h - r
				cilindro = pi*(r**2)*(h - r)
				V = semiesfera + cilindro
				print('Volume:',round(V*1000, 3), 'litros')
				
		else:
			# Calota Esferica de Altura = h
			V = (pi/3)*(h**2)*(3*r - h)
			print('Volume:',round(V*1000, 3), 'litros')
	else:
		print('Entradas invalidas')
else:
	print('Entradas invalidas')
			
			